## EDestinationStore

EDestinationStore

## Functions

EDestinationStore * | e_destination_store_new ()
EDestination * | e_destination_store_get_destination ()
GList * | e_destination_store_list_destinations ()
void | e_destination_store_insert_destination ()
void | e_destination_store_append_destination ()
void | e_destination_store_remove_destination ()
void | e_destination_store_remove_destination_nth ()
guint | e_destination_store_get_destination_count ()
GtkTreePath * | e_destination_store_get_path ()
gint | e_destination_store_get_stamp ()

## Types and Values

enum | EDestinationStoreColumnType

## Object Hierarchy

        GObject
        ╰── EDestinationStore

## Description

## Functions

### e_destination_store_new ()

    EDestinationStore *
    e_destination_store_new (void);

Creates a new EDestinationStore.

#### Returns

A new EDestinationStore.

### e_destination_store_get_destination ()

    EDestination *
    e_destination_store_get_destination (EDestinationStore *destination_store,
                                         GtkTreeIter *iter);

Gets the EDestination from `destination_store` at `iter` .

#### Parameters

destination_store | an EDestinationStore |
iter | a GtkTreeIter |

#### Returns

An EDestination.

### e_destination_store_list_destinations ()

    GList *
    e_destination_store_list_destinations (EDestinationStore *destination_store);

Gets a list of all the EDestinations in `destination_store` .

#### Parameters

destination_store | an EDestinationStore |

#### Returns

A GList of pointers to EDestination. The list is owned by the caller, but the EDestination elements aren't.

### e_destination_store_insert_destination ()

    void
    e_destination_store_insert_destination
                                   (EDestinationStore *destination_store,
                                    gint index,
                                    EDestination *destination);

Inserts `destination` into `destination_store` at the position indicated by `index` . `destination_store` will ref `destination` .

#### Parameters

destination_store | an EDestinationStore |
index | the index at which to insert |
destination | an EDestination to insert |

### e_destination_store_append_destination ()

    void
    e_destination_store_append_destination
                                   (EDestinationStore *destination_store,
                                    EDestination *destination);

Appends `destination` to the list of destinations in `destination_store` . `destination_store` will ref `destination` .

#### Parameters

destination_store | an EDestinationStore |
destination | an EDestination |

### e_destination_store_remove_destination ()

    void
    e_destination_store_remove_destination
                                   (EDestinationStore *destination_store,
                                    EDestination *destination);

Removes `destination` from `destination_store` . `destination_store` will unref `destination` .

#### Parameters

destination_store | an EDestinationStore |
destination | an EDestination to remove |

### e_destination_store_remove_destination_nth ()

    void
    e_destination_store_remove_destination_nth
                                   (EDestinationStore *destination_store,
                                    gint n);

### e_destination_store_get_destination_count ()

    guint
    e_destination_store_get_destination_count
                                   (EDestinationStore *destination_store);

### e_destination_store_get_path ()

    GtkTreePath *
    e_destination_store_get_path (GtkTreeModel *tree_model,
                                  GtkTreeIter *iter);

### e_destination_store_get_stamp ()

    gint
    e_destination_store_get_stamp (EDestinationStore *destination_store);

#### Parameters

destination_store | an EDestinationStore |

Since: 2.32

## Types and Values

### enum EDestinationStoreColumnType

#### Members

E_DESTINATION_STORE_COLUMN_NAME |  |
E_DESTINATION_STORE_COLUMN_EMAIL |  |
E_DESTINATION_STORE_COLUMN_ADDRESS |  |
E_DESTINATION_STORE_NUM_COLUMNS |  |